Subject: Re: [PATCH 1/1] netfilter: gre: Use the consitent GRE and PPTP struct instead of the structures defined in netfilter

From: Pablo Neira Ayuso <[email-masked]>
Date: Thu, 25 Aug 2016 14:16:50 +0200

On Fri, Aug 19, 2016 at 11:03:46PM +0800, Feng Gao wrote:
> My email server reports the last same patch email failed to send.
> So I just sent it again.
> 
> I am sorry, if anyone receives duplicated ones.

git am v2-1-2-net-next-netfilter-gre-Use-consistent-GRE_-macros-instead-of-ones-defined-by-netfilter..patch
-s
Applying: netfilter: gre: Use consistent GRE_* macros instead of ones
defined by netfilter.
error: patch failed: include/uapi/linux/if_tunnel.h:36
error: include/uapi/linux/if_tunnel.h: patch does not apply

It seems your base was missing this patch:

commit ab10dccb11608b96b43b557c12a5ad867723e503
Author: Gao Feng <[email-masked]>
Date:   Tue Aug 9 12:38:24 2016 +0800

    rps: Inspect PPTP encapsulated by GRE to get flow hash

Since I cannot see GRE_FLAGS in your patch as context.

Please rebase and resubmit, thanks!